<?xml version="1.0" encoding="UTF-8"?>
<xs:schema xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:class="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_MemberPrincipal" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" elementFormDefault="qualified" targetNamespace="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_MemberPrincipal">
<xs:import namespace="http://schemas.dmtf.org/wbem/wscim/1/common" schemaLocation="http://schemas.dmtf.org/wbem/wscim/1/common.xsd"/>
<xs:element name="Collection" type="cim:cimReference">
<xs:annotation>
<xs:appinfo source="http://schemas.dmtf.org/wbem/wscim/1/common">
<cim:Qualifier name="Deprecated" type="cim:cimString">CIM_MemberOfCollection.Collection</cim:Qualifier>
<cim:Qualifier name="Aggregate" type="cim:cimBoolean">true</cim:Qualifier>
<cim:Qualifier name="Override" type="cim:cimString">Collection</cim:Qualifier>
<cim:Qualifier name="Key" type="cim:cimBoolean">true</cim:Qualifier>
<cim:Qualifier name="Description" type="cim:cimString">The Collection that aggregates members.</cim:Qualifier>
<cim:Classorigin name="CIM_MemberPrincipal"/>
</xs:appinfo>
</xs:annotation>
</xs:element>
<xs:element name="Member" type="cim:cimReference">
<xs:annotation>
<xs:appinfo source="http://schemas.dmtf.org/wbem/wscim/1/common">
<cim:Qualifier name="Deprecated" type="cim:cimString">CIM_MemberOfCollection.Member</cim:Qualifier>
<cim:Qualifier name="Override" type="cim:cimString">Member</cim:Qualifier>
<cim:Qualifier name="Key" type="cim:cimBoolean">true</cim:Qualifier>
<cim:Qualifier name="Description" type="cim:cimString">The aggregated member of the Collection.</cim:Qualifier>
<cim:Classorigin name="CIM_MemberPrincipal"/>
</xs:appinfo>
</xs:annotation>
</xs:element>
<xs:element name="UserAccessBy" nillable="true">
<xs:annotation>
<xs:appinfo source="http://schemas.dmtf.org/wbem/wscim/1/common">
<cim:Qualifier name="Deprecated" type="cim:cimString">No value</cim:Qualifier>
<cim:Qualifier name="Description" type="cim:cimString">A MemberPrincipal may be identifed in several ways that may be either direct or indirect membership in the collection. 
-A 'UsersAccess' membership directly identifies the user by the UsersAccess object instance. 
- An 'Account' membership directly identifies the user by the Account object class instance. 
- A 'UsingElement' membership indirectly identifies the user by the ManagedElement object instance that has ElementAsUser associations to UsersAccess object instances. Hence, all UsersAccess instances are indirectly included in the collection.</cim:Qualifier>
<cim:Qualifier name="Values" type="cim:cimString" valuemap="1">UsersAccess</cim:Qualifier>
<cim:Qualifier name="Values" type="cim:cimString" valuemap="2">Account</cim:Qualifier>
<cim:Qualifier name="Values" type="cim:cimString" valuemap="3">UsingElement</cim:Qualifier>
<cim:Qualifier name="Values" type="cim:cimString" valuemap="4">CredentialManagementService</cim:Qualifier>
<cim:Classorigin name="CIM_MemberPrincipal"/>
</xs:appinfo>
</xs:annotation>
<xs:complexType>
<xs:simpleContent>
<xs:restriction base="cim:cimUnsignedShort">
<xs:enumeration value="1"/>
<xs:enumeration value="2"/>
<xs:enumeration value="3"/>
<xs:enumeration value="4"/>
<xs:anyAttribute namespace="##any" processContents="lax"/>
</xs:restriction>
</xs:simpleContent>
</xs:complexType>
</xs:element>
<xs:element name="CIM_MemberPrincipal" type="class:CIM_MemberPrincipal_Type">
<xs:annotation>
<xs:appinfo source="http://schemas.dmtf.org/wbem/wscim/1/common">
<cim:Class name="CIM_MemberPrincipal" superclass="CIM_MemberOfCollection"/>
<cim:Qualifier name="Association" type="cim:cimBoolean">true</cim:Qualifier>
<cim:Qualifier name="Deprecated" type="cim:cimString">CIM_MemberOfCollection</cim:Qualifier>
<cim:Qualifier name="Aggregation" type="cim:cimBoolean">true</cim:Qualifier>
<cim:Qualifier name="Version" type="cim:cimString">2.8.0</cim:Qualifier>
<cim:Qualifier name="UMLPackagePath" type="cim:cimString">CIM::User::Org</cim:Qualifier>
<cim:Qualifier name="Description" type="cim:cimString">CIM_MemberPrincipal is an aggregation used to establish membership of principals (i.e., users) in a Collection. That membership can be established either directly or indirectly as indicated in the UsersAccessBy property. For example, a user may be identified directly by their userid (i.e., Account object instance) or the user may be identified indirectly by realm from which a ticket was issued (i.e., CredentialManagementService object instance). 

This association is deprecated in lieu of its superclass. Usage feedback on the class has indicated confusion regarding defining the members of the collection. Also, the UsersAccess aspects of this association have been deprecated.</cim:Qualifier>
</xs:appinfo>
</xs:annotation>
</xs:element>
<xs:complexType name="CIM_MemberPrincipal_Type">
<xs:sequence>
<xs:element ref="class:Collection"/>
<xs:element ref="class:Member"/>
<xs:element minOccurs="0" ref="class:UserAccessBy"/>
<xs:any maxOccurs="unbounded" minOccurs="0" namespace="##other" processContents="lax"/>
</xs:sequence>
<xs:anyAttribute namespace="##any" processContents="lax"/>
</xs:complexType>
</xs:schema>
